Debian Bug report logs - #111651
fsck: split out from e2fsprogs?

version graph

Package: e2fsprogs; Maintainer for e2fsprogs is Theodore Y. Ts'o <tytso@mit.edu>; Source for e2fsprogs is src:e2fsprogs.

Reported by: Colin Watson <cjwatson@debian.org>

Date: Sat, 8 Sep 2001 01:18:01 UTC

Severity: wishlist

Tags: patch

Found in version 1.24a-1

Done: "Theodore Ts'o" <tytso@mit.edu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Yann Dirson <dirson@debian.org>:
Bug#111651; Package e2fsprogs. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjw44@flatline.org.uk>:
New Bug report received and forwarded. Copy sent to Yann Dirson <dirson@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Colin Watson <cjw44@flatline.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: e2fsprogs: fsck: split out from e2fsprogs?
Date: Sat, 8 Sep 2001 02:10:59 +0100
Package: e2fsprogs
Version: 1.24a-1
Severity: wishlist

Inspired by a comment on -devel: if fsck is a "generic wrapper", perhaps
it could be installable without e2fsprogs? Currently it does depend on
libext2fs, but this is only for one function that doesn't look terribly
ext2-specific. That way, people could install systems with support only
for some other filesystem.

(For example, fsck could be in an Essential: yes, Priority: required
package with the libraries it needs, it could depend on fsck-backend,
and e2fsprogs could be a Priority: required but not essential package
providing fsck-backend.)

I only use ext2 on my systems at the moment, so I'm really only making
this request in response to the aforementioned comment - please let me
know if this is misguided.

Thanks,

-- 
Colin Watson                                  [cjwatson@flatline.org.uk]



Changed Bug title. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Yann Dirson <dirson@debian.org>:
Bug#111651; Package e2fsprogs. Full text and rfc822 format available.

Acknowledgement sent to Yann Dirson <ydirson@altern.org>:
Extra info received and forwarded to list. Copy sent to Yann Dirson <dirson@debian.org>. Full text and rfc822 format available.

Message #12 received at submit@bugs.debian.org (full text, mbox):

From: Yann Dirson <ydirson@altern.org>
To: Colin Watson <cjw44@flatline.org.uk>, 111651@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#111651: e2fsprogs: fsck: split out from e2fsprogs?
Date: Sun, 9 Sep 2001 18:25:40 +0200
On Sat, Sep 08, 2001 at 02:10:59AM +0100, Colin Watson wrote:
> Package: e2fsprogs
> Version: 1.24a-1
> Severity: wishlist
> 
> Inspired by a comment on -devel: if fsck is a "generic wrapper", perhaps
> it could be installable without e2fsprogs? Currently it does depend on
> libext2fs, but this is only for one function that doesn't look terribly
> ext2-specific. That way, people could install systems with support only
> for some other filesystem.
> 
> (For example, fsck could be in an Essential: yes, Priority: required
> package with the libraries it needs, it could depend on fsck-backend,
> and e2fsprogs could be a Priority: required but not essential package
> providing fsck-backend.)

That looks highly reasonable.  There is however a problem that needs to be
thought of - I already attempted to split e2fsprogs once, and could not
succeed due to dpkg limitations.  Maybe now it is possible, and if not,
maybe we should modify dpkg for this.

The problem with your proposal is that I'm not sure how e2fsprogs can be
made non-essential.

The problem I had at that time was that e2fsprogs is an Essential:yes
package.  If I split the libs out (that was my attempt), they would be in a
non-essential package which would:

- replace/conflict with old e2fsprogs (that caused a problem because the new
package was not essential)
- be necessary for new e2fsprogs to install

(I'm not sure of all of this, it's all from memory)

Maybe all that will be made possible if we can implement your idea.


> I only use ext2 on my systems at the moment, so I'm really only making
> this request in response to the aforementioned comment - please let me
> know if this is misguided.

What would be nice would be to have the presence of an ext2 fs depend on
e2fsprogs.  That's another story, but would be nice.  In general, having
sort of automatic pseudo packages that would provide hardware features, or
depend on *fstools as needed, would be something to investigate.

-- 
Yann Dirson    <ydirson@altern.org> |    Why make M$-Bill richer & richer ?
Debian-related: <dirson@debian.org> |   Support Debian GNU/Linux:
Pro:    <yann.dirson@fr.alcove.com> |  Freedom, Power, Stability, Gratuity
     http://ydirson.free.fr/        | Check <http://www.debian.org/>



Information forwarded to debian-bugs-dist@lists.debian.org, Yann Dirson <dirson@debian.org>:
Bug#111651; Package e2fsprogs. Full text and rfc822 format available.

Acknowledgement sent to Yann Dirson <ydirson@altern.org>:
Extra info received and forwarded to list. Copy sent to Yann Dirson <dirson@debian.org>. Full text and rfc822 format available.

Reply sent to Chris Lawrence <lawrencc@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Colin Watson <cjw44@flatline.org.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 111651-close@bugs.debian.org (full text, mbox):

From: Chris Lawrence <lawrencc@debian.org>
To: 111651-close@bugs.debian.org
Subject: Bug#111651: fixed in reportbug 1.28
Date: Mon, 10 Sep 2001 14:59:23 -0400
We believe that the bug you reported is fixed in the latest version of
reportbug, which has been installed in the Debian FTP archive:

reportbug_1.28.dsc
  to pool/main/r/reportbug/reportbug_1.28.dsc
reportbug_1.28.tar.gz
  to pool/main/r/reportbug/reportbug_1.28.tar.gz
reportbug_1.28_all.deb
  to pool/main/r/reportbug/reportbug_1.28_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 111651@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Chris Lawrence <lawrencc@debian.org> (supplier of updated reportbug package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.7
Date: Mon, 10 Sep 2001 11:01:13 -0500
Source: reportbug
Binary: reportbug
Architecture: source all
Version: 1.28
Distribution: unstable
Urgency: medium
Maintainer: Chris Lawrence <lawrencc@debian.org>
Changed-By: Chris Lawrence <lawrencc@debian.org>
Description: 
 reportbug  - Reports bugs in the Debian distribution.
Closes: 111651 111661
Changes: 
 reportbug (1.28) unstable; urgency=medium
 .
   * The "why can't Sony make a laptop keyboard that lasts more than six
     months?" release.
   * Only prepend the subject with the package name if it doesn't contain
     ": " in it already.  Useful for filing the "querybts: is lame" report.
     (Closes: #111651)
   * Added 'Justification' to reportbug.PSEUDOHEADERS.
     (Closes: #111661)
Files: 
 b7e9349887336861d6fc52369e822d8f 841 utils standard reportbug_1.28.dsc
 32e5af0bcfbb0cc91ecc951754d655c5 61234 utils standard reportbug_1.28.tar.gz
 db5718d65b54611b58304d7438d5c253 57802 utils standard reportbug_1.28_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iQEeBAEUAwAGBQI7nOSaAAoJEFxpg5e5AmZibP8D/iUSExzKSf8tjF8c7wz/fetj
778Bs4a3oQ5zwXrXQ1UXOSwgXjPerl9xzo6aN2/vEqQcImCQG4YdwSgp8sHqqBFF
x21A03ZyjSP+K/3eexNCK2iphOIgQmCc2HIWCtP45/NMtClcBW722noV7cfwZS7u
IoQtDdm8QVZVznlwYiPKA/9m3PmalvKmMX36/pp1uHajhWnugzoU19gwLZRox6HF
dex7dIuFFY1xLBAJI/pKZtvvIfDitV1vTDKk/gMQiQ0jJjxIgaRlybI7P93S4cEj
9xMJ/TVCS4tuOSPeGEbrLoxDNeG2NhmvPnxDmO2/zVxH1goVRcmPz9FJMxlqqPTk
dA==
=JAIP
-----END PGP SIGNATURE-----




Bug reopened, originator not changed. Request was from Chris Lawrence <lawrencc@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@flatline.org.uk>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #27 received at 111651-quiet@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@flatline.org.uk>
To: Yann Dirson <ydirson@altern.org>
Cc: 111651-quiet@bugs.debian.org
Subject: Re: Bug#111651: e2fsprogs: fsck: split out from e2fsprogs?
Date: Thu, 20 Sep 2001 02:36:48 +0100
On Sun, Sep 09, 2001 at 06:25:40PM +0200, Yann Dirson wrote:
> On Sat, Sep 08, 2001 at 02:10:59AM +0100, Colin Watson wrote:
> > (For example, fsck could be in an Essential: yes, Priority: required
> > package with the libraries it needs, it could depend on fsck-backend,
> > and e2fsprogs could be a Priority: required but not essential package
> > providing fsck-backend.)
> 
> That looks highly reasonable.  There is however a problem that needs to be
> thought of - I already attempted to split e2fsprogs once, and could not
> succeed due to dpkg limitations.  Maybe now it is possible, and if not,
> maybe we should modify dpkg for this.
> 
> The problem with your proposal is that I'm not sure how e2fsprogs can be
> made non-essential.
> 
> The problem I had at that time was that e2fsprogs is an Essential:yes
> package.  If I split the libs out (that was my attempt), they would be in a
> non-essential package which would:
> 
> - replace/conflict with old e2fsprogs (that caused a problem because the new
> package was not essential)
> - be necessary for new e2fsprogs to install
> 
> (I'm not sure of all of this, it's all from memory)

I'm not sure how to cope with this either. Leaving out the conflicts
*might* work, but on the other hand it raises the possibility of an old
e2fsprogs being installed after the new library package has been
installed, which is probably not good.

> Maybe all that will be made possible if we can implement your idea.

It might be, actually. If fsck is essential, it can replace/conflict
with old e2fsprogs, and dpkg will remove the essential version of
e2fsprogs (at least according to policy 7.3 - I haven't experimented
with anything like this).

The only problem is that you'll probably be left without an e2fsck for a
while, which is a nasty showstopper. Hmm.

Given that constraint, perhaps it's OK to omit the conflicts (whether in
my proposal or yours) in favour of ensuring that the system always has a
working e2fsck unless the user chooses to remove e2fsprogs after the
upgrade, perhaps with some preinst hacking.

> What would be nice would be to have the presence of an ext2 fs depend on
> e2fsprogs.  That's another story, but would be nice.  In general, having
> sort of automatic pseudo packages that would provide hardware features, or
> depend on *fstools as needed, would be something to investigate.

I'd like that for kernel features as well, although nobody's come up
with a good solution the times I've raised it in the past. One problem
that was pointed out was that it's difficult to maintain package
consistency when the kernel (or, in this case, the hardware) is changed.

-- 
Colin Watson                                  [cjwatson@flatline.org.uk]



Changed Bug title. Request was from Colin Watson <cjwatson@flatline.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Bug closed, send any further explanations to Colin Watson <cjw44@flatline.org.uk> Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator set to Colin Watson <cjwatson@debian.org>. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, tytso@mit.edu (Theodore Y. Ts'o):
Bug#111651; Package e2fsprogs. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@yahoo.co.uk>:
Extra info received and forwarded to list. Copy sent to tytso@mit.edu (Theodore Y. Ts'o). Full text and rfc822 format available.

Message #38 received at 111651@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@yahoo.co.uk>
To: 111651-submitter@bugs.debian.org, 111651@bugs.debian.org
Subject: Splitting fsck out of e2fsprogs
Date: Mon, 22 Mar 2004 09:15:12 +0100
Package: e2fsprogs
Pre-Depends: fsck
Description: metapackage to facilitate upgrade
 When the old e2fsprogs is upgraded, the Pre-Depends will
 bring in fsck which will bring in e2fsutils and libe2fs.
 The files in the latter will overwrite files in e2fsprogs.
 I am not sure that the dependency has to be a Pre-Depends.
 The idea is that the new binaries should be written over
 the old ones; we don't want the old binaries to be deleted
 before the new ones are installed.  Pre-Depends imposes an
 order on the unpack but I am not sure that it is needed to
 impose the order I just described.

Package: fsck
Essential: yes
Depends: e2fsutils | fsutils
Description: The fsck binary

Package: e2fsutils
Depends: libe2fs
Replaces: e2fsprogs
Description: The EXT2 file system utilities
 Note that this does not Conflict with e2fsprogs but 
 only Replaces it.

Package: libe2fs
Replaces: e2fsprogs
Description: The EXT2 file system libraries
 This is here because someone mentioned that they wanted
 to split libraries out into a separate package.

Package: someotherfsutils
Provides: fsutils
Description: The SomeOther file system utilities
 This Provides fsutils and thus satisfies the dependency
 in fsck.






Message sent on to Colin Watson <cjwatson@debian.org>:
Bug#111651. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, tytso@mit.edu (Theodore Y. Ts'o):
Bug#111651; Package e2fsprogs. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <zeratul2@wanadoo.es>:
Extra info received and forwarded to list. Copy sent to tytso@mit.edu (Theodore Y. Ts'o). Full text and rfc822 format available.

Message #46 received at 111651@bugs.debian.org (full text, mbox):

From: Robert Millan <zeratul2@wanadoo.es>
To: 111651@bugs.debian.org
Cc: debian-boot@lists.debian.org
Subject: patch to split fsck
Date: Wed, 12 May 2004 15:34:52 +0200
[Message part 1 (text/plain, inline)]
tags 111651 patch
thanks

I'm attaching a patch that splits out fsck and adds the proper relationships
in debian/control.

debian-boot people: Please drop any comments concerning the udeb, if
applicable; and take the appropiate measures in d-i, if any.

-- 
Robert Millan

"[..] but the delight and pride of Aule is in the deed of making, and in the
thing made, and neither in possession nor in his own mastery; wherefore he
gives and hoards not, and is free from care, passing ever on to some new work."

 -- J.R.R.T., Ainulindale (Silmarillion)
[e2fsprogs.diff (text/plain, attachment)]

Tags added: patch Request was from Robert Millan <zeratul2@wanadoo.es> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, tytso@mit.edu (Theodore Y. Ts'o):
Bug#111651; Package e2fsprogs. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to tytso@mit.edu (Theodore Y. Ts'o). Full text and rfc822 format available.

Message #53 received at 111651@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Robert Millan <zeratul2@wanadoo.es>
Cc: 111651@bugs.debian.org, debian-boot@lists.debian.org
Subject: Re: patch to split fsck
Date: Wed, 12 May 2004 15:41:06 +0100
On Wed, May 12, 2004 at 03:34:52PM +0200, Robert Millan wrote:
> tags 111651 patch
> thanks
> 
> I'm attaching a patch that splits out fsck and adds the proper relationships
> in debian/control.
> 
> debian-boot people: Please drop any comments concerning the udeb, if
> applicable; and take the appropiate measures in d-i, if any.

The dependency structure of the base system has been frozen since 29
March so that d-i images stop getting repeatedly broken by
rearrangements like this one. It's too late to do this for sarge.

> diff -Nur e2fsprogs-1.35.old/debian/control e2fsprogs-1.35/debian/control
> --- e2fsprogs-1.35.old/debian/control	2004-05-12 13:50:03.000000000 +0200
> +++ e2fsprogs-1.35/debian/control	2004-05-12 14:22:38.000000000 +0200
> @@ -5,6 +5,16 @@
>  Build-Depends: texi2html, gettext, texinfo, dc, debhelper (>= 4)
>  Standards-Version: 3.6.1
>  
> +Package: fsck
> +Essential: yes
> +Depends: ${shlibs:Depends}, libblkid1 (= ${Source-Version}),
> + libuuid1 (= ${Source-Version}), fsck-backend

Essential packages generally need to use Pre-Depends, since they need to
work even when unconfigured.

>  Package: e2fsprogs
> -Essential: yes
>  Pre-Depends: ${shlibs:Depends}
> -Depends: 
> +Depends: fsck
> +Provides: fsck-backend

This allows the new e2fsprogs to be unpacked before fsck, at which point
/sbin/fsck will disappear until fsck is unpacked, which is a
showstopper. It's very hard to solve this and avoid breaking fresh
installs at the same time.

I think we'll need something like:

  Package: fsck
  Essential: yes
  Pre-Depends: ${shlibs:Depends}, libblkid1 (= ${Source-Version}), libuuid1 (= ${Source-Version})
  Depends: e2fsprogs | fsck-backend
  Replaces: e2fsprogs (<< first-split-version)

  Package: e2fsprogs
  Pre-Depends: fsck
  Depends: ${shlibs:Depends}

This guarantees that fsck remains available during upgrades no matter
what, and ensures that fresh installs are at least possible. This isn't
optimal, but, given that you have to install one of fsck and a
fsck-backend after the other, I don't see a better possibility.

Aside from the base dependency freeze, I think the complexity of this
change alone marks it as post-sarge.

Cheers,

-- 
Colin Watson                                  [cjwatson@flatline.org.uk]



Information forwarded to debian-bugs-dist@lists.debian.org, tytso@mit.edu (Theodore Y. Ts'o):
Bug#111651; Package e2fsprogs. Full text and rfc822 format available.

Acknowledgement sent to Theodore Ts'o <tytso@mit.edu>:
Extra info received and forwarded to list. Copy sent to tytso@mit.edu (Theodore Y. Ts'o). Full text and rfc822 format available.

Message #58 received at 111651@bugs.debian.org (full text, mbox):

From: Theodore Ts'o <tytso@mit.edu>
To: Robert Millan <zeratul2@wanadoo.es>, 111651@bugs.debian.org, debian-boot@lists.debian.org
Subject: Re: Bug#111651: patch to split fsck
Date: Wed, 12 May 2004 11:16:11 -0400
On Wed, May 12, 2004 at 03:41:06PM +0100, Colin Watson wrote:
> I think we'll need something like:
> 
>   Package: fsck
>   Essential: yes
>   Pre-Depends: ${shlibs:Depends}, libblkid1 (= ${Source-Version}), libuuid1 (= ${Source-Version})
>   Depends: e2fsprogs | fsck-backend
>   Replaces: e2fsprogs (<< first-split-version)
> 
>   Package: e2fsprogs
>   Pre-Depends: fsck
>   Depends: ${shlibs:Depends}
> 
> This guarantees that fsck remains available during upgrades no matter
> what, and ensures that fresh installs are at least possible. This isn't
> optimal, but, given that you have to install one of fsck and a
> fsck-backend after the other, I don't see a better possibility.

I agree, it will probably have to be something like this.

Also missing from the patch was a priority for fsck.  I assume the
fsck package would then become the required package, instead of
e2fsprogs.

> Aside from the base dependency freeze, I think the complexity of this
> change alone marks it as post-sarge.

I agree --- unless if various GR's fail and Sarge gets delayed for
year, at which point presumably we will unfreeze the base system
dependencies.   

						- Ted



Information forwarded to debian-bugs-dist@lists.debian.org, tytso@mit.edu (Theodore Y. Ts'o):
Bug#111651; Package e2fsprogs. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <zeratul2@wanadoo.es>:
Extra info received and forwarded to list. Copy sent to tytso@mit.edu (Theodore Y. Ts'o). Full text and rfc822 format available.

Message #63 received at 111651@bugs.debian.org (full text, mbox):

From: Robert Millan <zeratul2@wanadoo.es>
To: Colin Watson <cjwatson@debian.org>
Cc: 111651@bugs.debian.org, debian-boot@lists.debian.org
Subject: Re: patch to split fsck
Date: Wed, 12 May 2004 17:39:32 +0200
On Wed, May 12, 2004 at 03:41:06PM +0100, Colin Watson wrote:
> 
> This allows the new e2fsprogs to be unpacked before fsck, at which point
> /sbin/fsck will disappear until fsck is unpacked, which is a
> showstopper. It's very hard to solve this and avoid breaking fresh
> installs at the same time.
> 
> I think we'll need something like:
> 
>   Package: fsck
>   Essential: yes
>   Pre-Depends: ${shlibs:Depends}, libblkid1 (= ${Source-Version}), libuuid1 (= ${Source-Version})
>   Depends: e2fsprogs | fsck-backend
>   Replaces: e2fsprogs (<< first-split-version)
> 
>   Package: e2fsprogs
>   Pre-Depends: fsck
>   Depends: ${shlibs:Depends}
> 
> This guarantees that fsck remains available during upgrades no matter
> what, and ensures that fresh installs are at least possible. This isn't
> optimal, but, given that you have to install one of fsck and a
> fsck-backend after the other, I don't see a better possibility.

Everything seems fine here. What requirements does the optimal solution have?

> Aside from the base dependency freeze, I think the complexity of this
> change alone marks it as post-sarge.

Yes, but we can start sorting it out now, so that it can be commited just
after sarge release.

-- 
Robert Millan

"[..] but the delight and pride of Aule is in the deed of making, and in the
thing made, and neither in possession nor in his own mastery; wherefore he
gives and hoards not, and is free from care, passing ever on to some new work."

 -- J.R.R.T., Ainulindale (Silmarillion)



Information forwarded to debian-bugs-dist@lists.debian.org, tytso@mit.edu (Theodore Y. Ts'o):
Bug#111651; Package e2fsprogs. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <zeratul2@wanadoo.es>:
Extra info received and forwarded to list. Copy sent to tytso@mit.edu (Theodore Y. Ts'o). Full text and rfc822 format available.

Message #68 received at 111651@bugs.debian.org (full text, mbox):

From: Robert Millan <zeratul2@wanadoo.es>
To: Theodore Ts'o <tytso@mit.edu>
Cc: 111651@bugs.debian.org, debian-boot@lists.debian.org
Subject: Re: Bug#111651: patch to split fsck
Date: Wed, 12 May 2004 17:55:18 +0200
On Wed, May 12, 2004 at 11:16:11AM -0400, Theodore Ts'o wrote:
> 
> Also missing from the patch was a priority for fsck.  I assume the
> fsck package would then become the required package, instead of
> e2fsprogs.

The priority defaults to required as it is in the Source: header. Perhaps
it should be changed there? But, e2fsprogs will continue being required
won't it? It's only the Essential tag that should be removed.

-- 
Robert Millan

"[..] but the delight and pride of Aule is in the deed of making, and in the
thing made, and neither in possession nor in his own mastery; wherefore he
gives and hoards not, and is free from care, passing ever on to some new work."

 -- J.R.R.T., Ainulindale (Silmarillion)



Information forwarded to debian-bugs-dist@lists.debian.org, tytso@mit.edu (Theodore Y. Ts'o):
Bug#111651; Package e2fsprogs. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to tytso@mit.edu (Theodore Y. Ts'o). Full text and rfc822 format available.

Message #73 received at 111651@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 111651@bugs.debian.org
Cc: Colin Watson <cjwatson@debian.org>
Subject: time to fix this one?
Date: Tue, 3 May 2005 22:35:56 +0200
Hi!

Now that sarge is frozen (and as I have just checked, a sarge fork of e2fsprogs
made), what do you think of looking at this old bug for unstable?

Unless I missed something, the solution proposed by Colin's last mails was
acceptable but impossible to apply before sarge.  Can we do this now?  Are
there any caveats that need to be solved first?

Thanks

-- 
 .''`.   Proudly running Debian GNU/kFreeBSD unstable/unreleased (on UFS2+S)
: :' :
`. `'    http://www.debian.org/ports/kfreebsd-gnu
  `-



Information forwarded to debian-bugs-dist@lists.debian.org, tytso@mit.edu (Theodore Y. Ts'o):
Bug#111651; Package e2fsprogs. Full text and rfc822 format available.

Acknowledgement sent to Theodore Ts'o <tytso@mit.edu>:
Extra info received and forwarded to list. Copy sent to tytso@mit.edu (Theodore Y. Ts'o). Full text and rfc822 format available.

Message #78 received at 111651@bugs.debian.org (full text, mbox):

From: Theodore Ts'o <tytso@mit.edu>
To: Robert Millan <rmh@debian.org>, 111651@bugs.debian.org
Cc: Colin Watson <cjwatson@debian.org>
Subject: Re: Bug#111651: time to fix this one?
Date: Tue, 3 May 2005 20:10:49 -0400
On Tue, May 03, 2005 at 10:35:56PM +0200, Robert Millan wrote:
> 
> Hi!
> 
> Now that sarge is frozen (and as I have just checked, a sarge fork
> of e2fsprogs made), what do you think of looking at this old bug for
> unstable?
> 
> Unless I missed something, the solution proposed by Colin's last mails was
> acceptable but impossible to apply before sarge.  Can we do this now?  Are
> there any caveats that need to be solved first?

Why do you care so much?  This bug is priority wishlist for a reason,
I don't think anyone considers it terribly important.  Splitting out
fsck will bloat the FTP archives by an additional package, and the
only advantage is that it will save a small amount of disk space
(0.001% of the space on a 100 gig filesystem, which is pretty moderate
in these days of 250 gig disks).

I'll get around to it, eventually but it's not particularly high on my
priority list.

						- Ted




Information forwarded to debian-bugs-dist@lists.debian.org, tytso@mit.edu (Theodore Y. Ts'o):
Bug#111651; Package e2fsprogs. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to tytso@mit.edu (Theodore Y. Ts'o). Full text and rfc822 format available.

Message #83 received at 111651@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Theodore Ts'o <tytso@mit.edu>
Cc: 111651@bugs.debian.org, Colin Watson <cjwatson@debian.org>
Subject: Re: Bug#111651: time to fix this one?
Date: Wed, 4 May 2005 10:47:35 +0200
On Tue, May 03, 2005 at 08:10:49PM -0400, Theodore Ts'o wrote:
> On Tue, May 03, 2005 at 10:35:56PM +0200, Robert Millan wrote:
> > 
> > Now that sarge is frozen (and as I have just checked, a sarge fork
> > of e2fsprogs made), what do you think of looking at this old bug for
> > unstable?
> > 
> > Unless I missed something, the solution proposed by Colin's last mails was
> > acceptable but impossible to apply before sarge.  Can we do this now?  Are
> > there any caveats that need to be solved first?
> 
> Why do you care so much? This bug is priority wishlist for a reason,
> I don't think anyone considers it terribly important.  Splitting out
> fsck will bloat the FTP archives by an additional package, and the
> only advantage is that it will save a small amount of disk space
> (0.001% of the space on a 100 gig filesystem, which is pretty moderate
> in these days of 250 gig disks).

Because it's more than 3 years old.  I'm concerned that if we miss the time
frame untill the next freeze of base system, it'll never be fixed.

> I'll get around to it, eventually but it's not particularly high on my
> priority list.

There's no hurry.  But please make sure it isn't delayed untill etch is
released.

Thanks!

-- 
 .''`.   Proudly running Debian GNU/kFreeBSD unstable/unreleased (on UFS2+S)
: :' :
`. `'    http://www.debian.org/ports/kfreebsd-gnu
  `-



Information forwarded to debian-bugs-dist@lists.debian.org, tytso@mit.edu (Theodore Y. Ts'o):
Bug#111651; Package e2fsprogs. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to tytso@mit.edu (Theodore Y. Ts'o). Full text and rfc822 format available.

Message #88 received at 111651@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: Theodore Ts'o <tytso@mit.edu>, 111651@bugs.debian.org
Subject: Re: Bug#111651: time to fix this one?
Date: Wed, 4 May 2005 10:02:49 +0100
On Wed, May 04, 2005 at 10:47:35AM +0200, Robert Millan wrote:
> On Tue, May 03, 2005 at 08:10:49PM -0400, Theodore Ts'o wrote:
> > On Tue, May 03, 2005 at 10:35:56PM +0200, Robert Millan wrote:
> > > Now that sarge is frozen (and as I have just checked, a sarge fork
> > > of e2fsprogs made), what do you think of looking at this old bug for
> > > unstable?
> > > 
> > > Unless I missed something, the solution proposed by Colin's last mails was
> > > acceptable but impossible to apply before sarge.

Well, er, some testing of it *before* upload would be kind of nice,
rather than applying stuff that came off the top of my head. :-)

> > > Can we do this now?  Are
> > > there any caveats that need to be solved first?
> > 
> > Why do you care so much? This bug is priority wishlist for a reason,
> > I don't think anyone considers it terribly important.  Splitting out
> > fsck will bloat the FTP archives by an additional package, and the
> > only advantage is that it will save a small amount of disk space
> > (0.001% of the space on a 100 gig filesystem, which is pretty moderate
> > in these days of 250 gig disks).
> 
> Because it's more than 3 years old.  I'm concerned that if we miss the time
> frame untill the next freeze of base system, it'll never be fixed.

I don't even consider it especially important (even for etch), certainly
nowadays, and I reported it ... Bugs don't necessarily increase in
importance with age.

Cheers,

-- 
Colin Watson                                       [cjwatson@debian.org]



Information forwarded to debian-bugs-dist@lists.debian.org, tytso@mit.edu (Theodore Y. Ts'o):
Bug#111651; Package e2fsprogs. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to tytso@mit.edu (Theodore Y. Ts'o). Full text and rfc822 format available.

Message #93 received at 111651@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Colin Watson <cjwatson@debian.org>
Cc: Theodore Ts'o <tytso@mit.edu>, 111651@bugs.debian.org
Subject: Re: Bug#111651: time to fix this one?
Date: Sat, 7 May 2005 15:38:52 +0200
On Wed, May 04, 2005 at 10:02:49AM +0100, Colin Watson wrote:
> On Wed, May 04, 2005 at 10:47:35AM +0200, Robert Millan wrote:
> > On Tue, May 03, 2005 at 08:10:49PM -0400, Theodore Ts'o wrote:
> > > On Tue, May 03, 2005 at 10:35:56PM +0200, Robert Millan wrote:
> > > > Now that sarge is frozen (and as I have just checked, a sarge fork
> > > > of e2fsprogs made), what do you think of looking at this old bug for
> > > > unstable?
> > > > 
> > > > Unless I missed something, the solution proposed by Colin's last mails was
> > > > acceptable but impossible to apply before sarge.
> 
> Well, er, some testing of it *before* upload would be kind of nice,
> rather than applying stuff that came off the top of my head. :-)

I can test the upgrade path in a local repository.

-- 
 .''`.   Proudly running Debian GNU/kFreeBSD unstable/unreleased (on UFS2+S)
: :' :
`. `'    http://www.debian.org/ports/kfreebsd-gnu
  `-



Information forwarded to debian-bugs-dist@lists.debian.org, tytso@mit.edu (Theodore Y. Ts'o):
Bug#111651; Package e2fsprogs. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@aybabtu.com>:
Extra info received and forwarded to list. Copy sent to tytso@mit.edu (Theodore Y. Ts'o). Full text and rfc822 format available.

Message #98 received at 111651@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: 111651@bugs.debian.org
Cc: Colin Watson <cjwatson@debian.org>
Subject: patch to split fsck (#111651)
Date: Tue, 28 Feb 2006 19:54:28 +0100
[Message part 1 (text/plain, inline)]
Hi!

Here's a patch for #111651, based on Colin's proposal.

I've tested the upgrade path on a local repository and it worked fine.

-- 
Robert Millan
[fsck.diff (text/plain, attachment)]

Reply sent to "Theodore Ts'o" <tytso@mit.edu>:
You have taken responsibility. (Tue, 01 Sep 2009 23:27:03 GMT) Full text and rfc822 format available.

Notification sent to Colin Watson <cjwatson@debian.org>:
Bug acknowledged by developer. (Tue, 01 Sep 2009 23:27:03 GMT) Full text and rfc822 format available.

Message #103 received at 111651-done@bugs.debian.org (full text, mbox):

From: "Theodore Ts'o" <tytso@mit.edu>
To: 111651-done@bugs.debian.org
Subject: Re: fsck: split out from e2fsprogs?
Date: Tue, 01 Sep 2009 19:12:43 -0400
The fsck package has now been split out from e2fsprogs; it's now
part of util-linux-ng.

					- Ted




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 30 Sep 2009 07:56:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:01:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.